Skip to main content
`Ctrl`+`K`

# PetscHMapIJGetWithDefault

Get the value for a key in the hash table but override the default value returned if the key was not found

## Synopsis

    #include <petsc/private/hashmapij.h>
    PetscErrorCode PetscHMapIJGetWithDefault(PetscHMapIJ ht, struct {PetscInt i, j;} key, PetscScalar default_val, PetscScalar *val)

## Input Parameters

- ht - The hash table

- key - The key

- default_val - The default value to set `val` to if `key` was not found

## Output Parameter

- val - The value

## See Also

`PetscHMapIJGet()`, `PetscHMapIJSet()`, `PetscHMapIJSetWithMode()`, `PetscHMapIJIterGet()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages